Skip to content

List subcategories for a category

Request

Security
oauth2ClientCredentials(Required scopes: categories:read)
Path
categoryIdstringrequired
Query
pagenumber

Page number

Example:page=1
limitnumber

Items per page (max 1000)

Example:limit=20
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/categories/{categoryId}/subcategories?page=1&limit=20' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

List of subcategories

Bodyapplication/json
docsArray of objects(SubcategoryV1Dto)

Subcategory documents

totalnumber

Total count

limitobject

Limit per page

pageobject

Current page

pagesnumber

Total pages

Response
{ "docs": [ {} ], "total": 0, "limit": {}, "page": {}, "pages": 0 }